NetflowSummaryFlow resource. The schema will be used to create data/ReporterResource instances, the description is used to store the table name of the associate field.
GET http://[host-proxy]/api/data/NetflowSummaryFlow/schema/?hierarchy=[hierarchy]&format=json&schema=1
{
"$schema": "http://json-schema.org/draft-03/schema",
"type": "object",
"properties": {
"id": {
"title": "ID",
"description": "flow",
"type": "number"
},
"timestamp": {
"title": "Timestamp",
"description": "flow",
"type": "number"
},
"agentid": {
"title": "Agent ID",
"description": "flow",
"type": "string",
"maxLength": 1024
},
"ingressint": {
"title": "Ingress Interface",
"description": "flow",
"type": "string",
"maxLength": 1024
},
"egressint": {
"title": "Egress Interface",
"description": "flow",
"type": "string",
"maxLength": 1024
},
"srcipaddr": {
"title": "Source IP Address",
"description": "flow",
"type": "string",
"maxLength": 1024
},
"srcport": {
"title": "Source Port",
"description": "flow",
"type": "string",
"maxLength": 1024
},
"destipaddr": {
"title": "Destination IP Address",
"description": "flow",
"type": "string",
"maxLength": 1024
},
"destport": {
"title": "Destination Port",
"description": "flow",
"type": "string",
"maxLength": 1024
},
"protocol": {
"title": "Protocol",
"description": "flow",
"type": "string",
"maxLength": 1024
},
"srctos": {
"title": "Source TOS",
"description": "flow",
"type": "string",
"maxLength": 1024
},
"totalbytes": {
"title": "Total Bytes",
"description": "flow",
"type": "number"
},
"totalpkts": {
"title": "Total Packets",
"description": "flow",
"type": "number"
},
"bitrate": {
"title": "Bitrate",
"description": "flow",
"type": "number"
},
"packetrate": {
"title": "Packet Rate",
"description": "flow",
"type": "number"
},
"applicationdescription": {
"title": "Application Description",
"description": "flow",
"type": "string",
"maxLength": 1024
},
"applicationid": {
"title": "Application ID",
"description": "flow",
"type": "string",
"maxLength": 1024
},
"applicationname": {
"title": "Application Name",
"description": "flow",
"type": "string",
"maxLength": 1024
},
"application_description": {
"title": "NKA Application Description",
"description": "netflow_known_applications",
"type": "string",
"maxLength": 1024
},
"application_name": {
"title": "NKA Application Name",
"description": "netflow_known_applications",
"type": "string",
"maxLength": 1024
},
"agentid_hostname": {
"title": "Agentid Hostname",
"description": "mv_hostname_mapping",
"type": "string",
"maxLength": 1024
},
"ingress_friendly_interface_name": {
"title": "Ingress Friendly Interface Name",
"description": "mv_interface_mapping_ingress",
"type": "string",
"maxLength": 1024
},
"egress_friendly_interface_name": {
"title": "Egress Friendly Interface Name",
"description": "mv_interface_mapping_egress",
"type": "string",
"maxLength": 1024
}
},
"schema_version": "0.2"
}